@echo off

:again
echo ---------------------------
echo please select operation.
echo 1...create cvs.log
echo 2...execute mversion
echo 3...exit
echo ---------------------------
set /p inp="operation : "

if %inp% == 1 goto makelog
if %inp% == 2 goto execute_mversion
if %inp% == 3 goto end

echo input error.
goto again

:makelog
set /p sfname="input your sourceforge login name : "
cd ../../../../
cvs -d :ext:%sfname%@cvs.sourceforge.jp:/cvsroot/globalbase log gbs > cvs.log
cd gbs/env/proj/win
goto again

:execute_mversion
win_mversion cosmos_mversion.conf
win_mversion machine_mversion.conf
win_mversion svg2pp_mversion.conf
goto again

:end
